#!/bin/sh

#small script to mount given drive if not mounted , thx to goingnuts
if [ ! "$1" ];then
	echo "Nothing to mount"
	exit
fi

mount | grep "$1" > /dev/null 2>&1 #mount command returns 0 if string found... meaning drive is mounted
if [ $? != 0 ]; then # if drive not yet mounted
	START='unmounted' # drive STARTED as unmounted
	# get type of drive
	TYPE="$(guess_fstype /dev/"${1}" 2>/dev/null)"
	# create mount point if it does not exist
	[ ! -e /mnt/$1 ] && mkdir -p /mnt/$1
	# mount the drive to the mount point
	mount -t $TYPE /dev/$1 /mnt/$1
else
	START='mounted' # drive STARTED as mounted
fi

# show the contents of the drive that was just mounted
rox -n -d /mnt/$1 # use -n option for new instance

# user is done, offer to unmount the drive
Xdialog --title "Drive Manager" --yesno "Do you want to unmount /mnt/${1} ?" 0 0
if [ $? = 0 ];then # if answer is yes (0=yes)
	umount /mnt/$1
	STOP='unmounted'  # drive FINISHED as unmounted
	rox -D /mnt/$1 # close rox
else
	STOP='mounted'  # drive FINISHED as unmounted
fi

# rebuild drive icons and restart jwm, only if required
if [ "$START" != "$STOP" ];then
	create_jwmrc_drives.sh
	jwm -restart
fi

exit 0